<?php
namespace controllers;

class BriefBlocksController extends \Phalcon\Mvc\Controller
{

    function indexAction()
    {
        $data = \fields::find(array("type='services_sales' ","order" => 'id'));
        $this->view->setVars([
            'data' => $data,
        ]);
    }


    function setAction()
    {

    }


    function addAction()
    {

        if($this->request->getPost()){
            $id  = $this->request->getPost('id');
            $section_id  = $this->request->getPost('section_id');
            $model =  \briefBlocksFields::findFirst("field_id=$section_id AND block_id=$id");
            if($model instanceof \briefBlocksFields){
                die("{$model->id}");
            } else {

                $model =  new \briefBlocksFields();
                $model->field_id = $section_id;
                $model->block_id = $id;
                $model->save();
                die("{$model->id}");
            }

        } else {
             echo "doesn't have any request ";
        }
        die();

    }

    function deleteAction($id)
    {
        $model = \briefBlocksFields::findFirst('id='.$id);
        if($model instanceof \briefBlocksFields){
            $model->delete();
        }

    }

    function updateFieldsAction($id){

        if($this->request->getPost()){
            $model =  \briefBlocksFields::findFirst("id=$id");

            foreach($this->request->getPost() as $k => $v){
                $model->$k = $v;
            }
            $model->save();
        }

    }

    function updateAction($id)
    {
        $model = \briefBlocksFields::find("field_id = '$id' ORDER BY id");
        $this->assets
            ->addJs('js/BriefBlockConstructor/HtmlConstructor.js')
            ->addJs('js/brief-block-constructor.js');
        $this->view->pick( 'brief_blocks/addEdit' );
        $this->view->setVars([
            'data' => $model,
            'section_id' => $id
        ]);
    }
}