<div id="static_page">
    <div class="inner"><?= $this->flash->output(); ?></div>
    <div class="inner">

        <div class="table_pages_wrapper">

            <table class="table table-hover" id="ResultParseTableS">
                <thead>
                <tr>
                    <th>Название раздела</th>
                    <th>ID товара</th>
                    <th>Название товара</th>
                    <th>Цена</th>
                    <th>Разница цен</th>
                    <th>Цена конкурента</th>
                    <th>Название товара</th>
                    <th class="table-buttons"></th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($data as $item):?>
                    <tr id="<?= $item->parserSections->id?>">
                        <td><?= $item->parserSections->section_name ?></td>
                        <td><?= $item->parserItems->item_users_id ?></td>
                        <td><a href="<?= $item->parserItems->url?>"><?= $item->parserItems->item_name ?></a></td>
                        <td ><?= $item->parserItems->price ?></td>
                        <td><?= $item->parserCompetitorsItems->price ? $item->parserCompetitorsItems->price-$item->parserItems->price : '' ?></td>
                        <td class="price"><?= $item->parserCompetitorsItems->price ?></td>
                        <td class="link_block">
                            <span><a class="<?= $item->parserCompetitorsItems->link_status; ?>" href="<?= $item->parserCompetitorsItems->item_url ?>"><?= $item->parserCompetitorsItems->h1 ?></a></span>
                            <p><?= $item->parserCompetitorsItems->exist; ?></p>
                        </td>
                        <td class="bottom_block">
                            <a data-id="<?= $item->parserCompetitorsItems->id ?>" href="#" class="action-img ok-icon ok_action_button" title="Одобрить"></a>
                            <a data-id="<?= $item->parserCompetitorsItems->id ?>" href="<?= $this->url->get([ 'for' => 'price_parser_delete_link', "id"=>$item->parserCompetitorsItems->id ]) ?>"  onclick="return confirm('Вы действительно хотите удалить пункт?')" class="action-img delete_icon delete_action_button" title="Удалить"></a>
                            <a href="<?= $item->parserCompetitorsItems->google_link ?>" title="Ссылка на Google" class="action-img google-icon"></a>
                            <a href="" class="change_link action-img renwelink-icon" title="Смена ссылки"></a>
                            <div class="change_link_block">
                                <p>Старая ссылка</p>
                                <input type="text" value="<?= $item->parserCompetitorsItems->item_url ?>">
                                <p>Новая ссылка</p>
                                <input type="text" name="new_link" value="">
                                <input type="hidden" name="id" value="<?= $item->parserCompetitorsItems->id ?>">
                                <input class="change_link_block_update btn btn-warning" type="submit" value="Изменить">
                                <p class="change_link_block_cancel btn btn-primary">Отмена</p>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>

        </div>

    </div>
</div>