<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="/css/main.css">
    <link rel="stylesheet" type="text/css" href="/js/uploader/uploadify.css" />
    <link rel="stylesheet" type="text/css" href="/css/jquery-ui.min.css" />

    <script src="/js/jquery.js"></script>
    <script src="/js/jquery-ui.min.js" type="text/javascript"></script>

    <script type="text/javascript" src="/js/bootstrap.min.js"></script>

    <script type="text/javascript" src="/js/uploader/jquery.uploadify.js"></script>

    <script type="text/javascript" src="/js/ckeditor/ckeditor.js"></script>
    <script type="text/javascript" src="/js/ckeditor/config.js"></script>
    <script type="text/javascript" src="/js/ckeditor/build-config.js"></script>

    <script type="text/javascript" src="/js/main.js"></script>
    <script type="text/javascript" src="/js/jquery.validate.min.js"></script>
    <script type="text/javascript" src="/js/validate.js"></script>


    <script type="text/javascript" src="/js/tablesorter/jquery.tablesorter.min.js"></script>


    <title></title>
</head>
<body>
    <div class="container-fluid">
        <div id="addEdit">
            <div class="inner"><?= $this->flash->output(); ?></div>
            <div class="inner">
                <form action="" method="post">

                    <div class="modal fade" id="select_filter_sections" tabindex="-1" >
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                    <h4 class="modal-title">Выбрать раздел</h4>
                                </div>
                                <div class="check_box">
                                    <div>
                                        <p class="check_box_select_all_sections btn btn-warning">Выбрать все</p>

                                        <p class="check_box_delete_all_sections btn btn-warning">Убрать все</p>
                                    </div>
                                    <!--<div class="input-group">
                                        <span class="input-group-addon title-block-sizing">Разделы</span>
                                        <input type="text"  name="section_name" id="sections_choose" value=''>
                                        <input type="hidden" class="input-categoryId" name="section_id" value=''>
                                        <a id="result_sections" href="" class="btn btn-success" >Выбрать</a>
                                    </div>-->
                                    <div id="sections-list" class="check_box_list">
                                        <?php foreach($model_sections as $section): ?>
                                            <div class="check_box_row">
                                                <p class="box_row_head" data-id="<?= $section['id'] ?>"><?= $section['section_name'] ?></p>
                                                <p class = 'btn btn-primary delete-row' data-status="active">Убрать из списка</p>
                                                <input type='hidden' value='<?= $section['id'] ?>' name='section[]'>
                                            </div>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            </div><!-- form -->
                        </div>
                    </div>

                    <div class="modal fade" id="select_filter_competitors" tabindex="-1" >
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                    <h4 class="modal-title">Выбрать конкурента</h4>
                                </div>
                                <div class="check_box">
                                    <div>
                                        <p class="check_box_select_all_competitors btn btn-warning">Выбрать все</p>
                                        <p class="check_box_delete_all_competitors btn btn-warning">Убрать все</p>
                                    </div>
                                    <!--<div class="input-group">
                                        <span class="input-group-addon title-block-sizing">Конкуренты</span>
                                        <input type="text"  name="name" id="competitors_choose" value=''>
                                        <input type="hidden" class="input-categoryId" name="competitors_id" value=''>
                                        <a id="result_competitors" href="" class="btn btn-success" >Выбрать</a>
                                    </div>-->
                                    <div id="competitors-list" class="check_box_list">
                                        <?php foreach($model_competitors as $competitor): ?>
                                            <div class="check_box_row">
                                                <p  class="box_row_head" data-id="<?= $competitor['id'] ?>"><?= $competitor['name'] ?></p>
                                                <p class = 'btn btn-primary delete-row' data-status="active">Убрать из списка</p>
                                                <input type='hidden' value='<?= $competitor['id'] ?>' name='competitor[]'>
                                            </div>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            </div><!-- form -->
                        </div>
                    </div>


                    <div class="input-group filter_bottoms">

                        <a href="#select_filter_sections" class="btn btn-warning " data-toggle = 'modal'>Разделы</a>

                        <a href="#select_filter_competitors" class="btn btn-warning"  data-toggle = 'modal'>Конкуренты</a>
                    </div>
                </form>

                <table class="table table-hover index-table" id="ResultParseTable">
                    <thead>
                    <tr>
                        <th><div class="row_div">Название раздела</div></th>
                        <th><div class="row_div">Название товара</div></th>
                        <th><div><p>наш проект</p></div></th>
                        <?php foreach($model_competitors as $competitor):?>
                            <th class="competitor_id_<?= $competitor['id'] ?>">
                                <div class="name_div">
                                    <p class="table_column_name"><?= $competitor['name'] ?></p>
                                    <a href="" title="Отправить Email" data-id="<?= $competitor['id'] ?>" class="email-img send_email_report"></a>
                                </div>
                            </th>
                        <?php endforeach; ?>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach ($model_items as $item):?>
                        <tr class="section_id_<?= $model_sections[$item['section_id']]['id']?>">
                            <td><?= $model_sections[$item['section_id']]['section_name'] ?></td>
                            <td><a href="<?=$item['url']; ?>"><?=$item['item_name']; ?></a></td>
                            <td><?= $item['price']; ?></td>
                            <?php

                            foreach($model_competitors as $competitor):
                                $print = '<td class="competitor_id_'.$competitor['id'].'">- / -</td>';?>
                                <?php if(isset($competitor_item[$competitor['id']][$item['id']])){
                                $print = '<td class="competitor_id_'.$competitor['id'].'" data-itemId="'.$competitor_item[$competitor['id']][$item['id']]['id'].'" data-sectionId="'.$item['section_id'].'" class="competitors_'.$competitor["id"].'"><a href="'.$competitor_item[$competitor['id']][$item['id']]['item_url'].'" >'.$competitor_item[$competitor['id']][$item['id']]['price'].' <span class="prise_dif" style="color: '.$controller->test($item['price'], $competitor_item[$competitor['id']][$item['id']]['price']).'">'.($competitor_item[$competitor['id']][$item['id']]['price']-$item['price']).'</span></a></td>';
                            } ?>
                                <?php
                                echo $print;
                            endforeach;
                            ?>
                        </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>
</html>
