<div id="addEdit">
    <div class="inner"><?= $this->flash->output(); ?></div>
    <div class="inner">
        <div class="clearfix">
            <form enctype="multipart/form-data" method="post" action="" id="email_event_add_edit">
                <div class="version_1 clearfix">


                    <div class="input-group">
                        <input type="checkbox" id="status" value="1" name="status" <?=  ((isset( $page->status ) && !empty( $page->status )) ? 'checked' : '') ?>>
                        <label for="status">Статус рассылки</label>
                    </div>



                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Название рассылки</span>
                        <input type="text" name="name" class="form-control" value='<?=  (isset( $page->name ) && !empty( $page->name ) ? $page->name : '') ?>'>

                    </div>


                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">День первого письма</span>
                        <select  class="form-control"  name="first_delivery">

                            <?php foreach($page->getDays() as $day):?>

                                <option <?= !empty( $page->first_delivery )&& $page->isActive($page->first_delivery,$day['val']) ? "selected" :"" ?> value="<?= $day['val'] ?>"><?= $day['name']  ?></option>
                            <?php endforeach?>
                        </select>
                    </div>



                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Период</span>
                        <input type="text" name="period_val" class="form-control" value='<?=  (isset( $page->period_val ) && !empty( $page->period_val ) ? $page->period_val : '') ?>'>
                    </div>


                    <table id="templates-list" class="table table-hover">
                        <?php foreach($events as $event):?>
                            <tr><td id='name'><?= $event->name ?></td><td><p class = 'btn btn-primary delete-row'>Убрать из списка</p>
                            <input type='hidden' value='<?= $event->id ?>' name='event[]'></td></tr>
                        <?php endforeach;?>
                    </table>
                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Введите название письма</span>
                        <input type="text" value="" class="form-control" name="autocomplete_user_email" id="autocomplete_templates"  autocomplete="off">
                    </div>

                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th id="name">Имя</th>
                            <th class="table-buttons"></th>
                        </tr>
                        </thead>
                        <tbody id="result">

                        </tbody>
                    </table>



                <div class="input-group">
                    <a href="<?= $this->url->get( 'series_of_letters/index') ?>" class="news_cancel float">Отмена</a>
                    <input type="submit" class="news_submit float" name="save" value="Сохранить">
                </div>

            </form>
        </div>
    </div>
</div>
<script>
    jQuery(document).ready( function() {

        $('#autocomplete_templates').on('keyup', function () {
            console.log('here is a lot off information');
            var like = $(this).val();

            if (like.length > 3) {
                $.post('/series_of_letters/gettemplate', {like: like}, function (data) {
                    var ajax = $.parseJSON(data);
                    var count = ajax.length;
                    var block = $('#result');
                    block.html('');
                    for (var i = 0; i < count; i++) {
                        var row = "<tr><td id='name'>" + ajax[i]['name'] + "</td><td><p data-id='" + ajax[i]['id'] + "' class = 'btn btn-primary select-template'>Добавить в список</p></td></tr>";
                        block.append(row);
                    }
                });
            }
        });


        $('#result').on('click', '.select-template', function () {
            var event = $(this).data('id');
            var row = $(this).closest('tr');
            var block = $('#templates-list');
            var name = row.find('#name').html();
            var new_row = "<tr><td id='name'>" + name + "</td><td><p class = 'btn btn-primary delete-row'>Убрать из списка</p>" +
                "<input type='hidden' value='" + event + "' name='event[]'></td></tr>";
            block.append(new_row);
            row.remove();
        });

        $('#templates-list').on('click', '.delete-row', function () {
            var row = $(this).closest('tr');
            row.remove();
        });
    });
</script>
<script>
    $(function() {
        $.datepicker.regional['ru'] = {
            closeText: 'Закрыть',
            prevText: '&#x3c;Пред',
            nextText: 'След&#x3e;',
            currentText: 'Сегодня',
            monthNames: ['Январь','Февраль','Март','Апрель','Май','Июнь',
                'Июль','Август','Сентябрь','Октябрь','Ноябрь','Декабрь'],
            monthNamesShort: ['Янв','Фев','Мар','Апр','Май','Июн',
                'Июл','Авг','Сен','Окт','Ноя','Дек'],
            dayNames: ['воскресенье','понедельник','вторник','среда','четверг','пятница','суббота'],
            dayNamesShort: ['вск','пнд','втр','срд','чтв','птн','сбт'],
            dayNamesMin: ['Вс','Пн','Вт','Ср','Чт','Пт','Сб'],
            dateFormat: 'dd.mm.yy',
            firstDay: 1,
            isRTL: false
        };
        $.datepicker.setDefaults($.datepicker.regional['ru']);

        $( "#datepicker" ).datepicker({
            dateFormat: "dd-mm-yy"
        });


        $('.active_field_select').each(function(){
            if(this.checked){
                $(this).parent('li').addClass('active');
            }else {
                $(this).parent('li').addClass('non_active');
            }
        });

    });

</script>