<?php
namespace MyMailer;

class Event extends Mailer{

    public function SendForSelect($template, $users)
    {
        foreach($users as $user){

            $this->setToMail($user['email']);
            $this->setMailMessage($template->text);
            $this->setTitle($template->title);
            $this->SendEmail();
        }
    }

    //send for selected users from list
    public function SendDelivery($model,$template, $data, $users =array() )
    {

        if(!$users) {

            $users = $this->getUsers($data['users_id']);

        }


        $this->setToMail($users,true);

        $this->setMailMessage($template['text']);
        $this->setTitle($template['title']);
        $campaign_id = $this->mailer->createCampaignDelivery($this->to_email,  $this->from_email, $this->from_name, $this->title, $this->mailMessage);


        $delivery = array(
            'campaign_id' => $campaign_id,
            'campaign'    => $data['utm_campaign'],
            'name'        => $data['name'],
            'event_id'    => $data['id'],
            'status'      => '0',
            'project_id'  => $data['project_id']
        );
        $model->save($delivery);
    }


}