<?php
class parserSections extends \Phalcon\Mvc\Model
{
    public $project_id;
    public $section_name;
    public $section_user_id;
    public function getSource()
    {
        return "parser_sections";
    }

    public function initialize()
    {
        $this->hasMany("id", "parserItems", "section_id");
        $this->hasMany("id", "brandManagers", "brand_id");
    }

    static  function checkSection($project_id, $row_id){
        return self::findFirst("section_user_id = ".$row_id." AND project_id = ".$project_id);
    }

    public function getData($modelsManager, $project_id){

        $sql = "SELECT parserSections.*, parserItems.*
                FROM parserSections, parserItems
                WHERE parserSections.id = parserItems.section_id AND  parserSections.project_id = :project_id:";
        return $modelsManager->executeQuery($sql,
            array(
                'project_id'     => $project_id
            ));
    }

    public function updateStatus($project_id, $modelsManager ){

        $sql = "UPDATE parserSections SET delete_row = 1 WHERE project_id = {$project_id} ";
        return $modelsManager->executeQuery($sql);
    }
    public function DeleteNonActive($modelsManager){
        self::find("delete_row = 1")->delete();
    }


    function isActive($id_list) {
        $list = explode(',',$id_list );
        if(in_array($this->id, $list)){
            return true;
        }
    }

    public function getDistinct($data,$name,$modelsManager, $project_id){

        $sql = "SELECT DISTINCT id, {$data} FROM parserSections WHERE {$data} ILIKE '%$name%' AND project_id = {$project_id}";
        return $modelsManager->createQuery($sql)->execute()->toArray();
    }
}