jQuery(document).ready( function(){
   var sortInfo = new Array();
    var state;
    checkURL();
    $('.sortable').on("click", function(){
        var sort, sortobj, data, url;
        sortobj = $(this).attr("id");
        $(this).find("p").removeClass(sortInfo[sortobj]);
        sort = sortInfo[sortobj];
        if(sort == "ASC") {
            sort = "DESC";
        } else {
            sort = "ASC";
        }
        $(this).find("p").addClass(sort);
        url = $(this).parents('table').data('url');
        data = sortobj+' '+sort;
        $.post( url,{ data:data}, function( data ) {
            $("#result").html( data );
            sortInfo[sortobj]= sort;
        });
    });
    function checkURL() {
        var url = location.pathname;
        $("nav").find("li").each(function(){
            if($(this).find('a').attr('href') == url) {
                $(this).addClass('active');
            }
        });

    }
    $('.back-office-block').on('click', "input[type='checkbox']", function(){
            var state = $(this).prop("checked");
            $(this).closest('ul').find("input").each(function() {
                if(state) {
                    $(this).prop("checked", true) ;
                } else {
                    $(this).prop("checked", false);
                }
            });
    });

    $('.state-check').on('click', function(e){
        e.preventDefault();
        var stateHtml = $(this).html();
        if(stateHtml == 'Активный') {
            state = "0";
            console.log('мы там где состояние 1 и оно будет ровнятся 0'+state);
            $(this).attr('data-state', state).html('Отключен').removeClass('btn-success').addClass('btn-primary');
        } else {

            state = "1";
            console.log('мы там где состояние 0 и оно будет ровнятся 1'+state);
            $(this).attr('data-state', state).html('Активный').removeClass('btn-primary').addClass('btn-success');
        }
        var data = {
            state :state
        };
        var id = $(this).data('id');
        var str = JSON.stringify(data);
        $.post( '/update_parser',{ data:str, id:id}, function(data) {


        });
    });
    $('.delete-state').on('click', function(e){
        e.preventDefault();
        var id = $(this).data('id');
        $.post( '/delete_parser',{ id:id}, function(data) {
        });
        $(this).closest('tr').remove();
    });
    $('.update-state').on('click', function(e){
        e.preventDefault();
       var id =  $(this).data('id');
       $(this).closest('tr').find('input[type="text"]').each(function(){
           var  data = {};
           var name = $(this).attr('name');
           var valu = $(this).val();
           data[name] = valu;
           var str = JSON.stringify(data);

           $.post( '/update_parser',{ data:str, id:id}, function(data) {
           });
        });




    });
    $('.add-state').on('click', function(e) {
        e.preventDefault();
        $.post( '/add_parser',{}, function(data) {
            $('#result').append(data);
        });
    });
    ////////////////////////////////////////////////////////////////////////////
/*
    $('textarea').each( function() {

        CKEDITOR.replace( $(this).attr('id') );

    });
    $('#templates_block').on('change', function() {
        var id = $(this).val();
        $.post( '/email_templates_get_one_data',{id: id}, function(data) {
            var ajax = $.parseJSON(data);

            CKEDITOR.instances.template_text.updateElement();
            CKEDITOR.instances.template_text.setData(ajax.text);
            $('#template_title').val(ajax.title);
            $('#directory').val('');
            $('#template_name').val(ajax.name);
        });

    });

*/
    $('.send_method').on('change', function() {

        if($('#send_method_to_all').prop("checked")){
            $('#send_method_users_table').css('display', 'none');
        }
        if($('#send_method_to_selected').prop("checked")){
            $('#send_method_users_table').css('display', 'block');
        }
    });



    $('#autocomplete_user_email').on('keyup', function() {
        var like =  $(this).val();

        if(like.length >1){
            $.post( '/standard_email_getuserslike',{like: like}, function(data) {
                var ajax = $.parseJSON(data);
                var count = ajax.length;
                var block = $('#result');
                block.html('');
                for(var i = 0; i<count; i++){
                    var row ="<tr><td id='name'>"+ajax[i]['name']+"</td><td id='email'>"+ajax[i]['email']+"</td><td><p data-id='"+ajax[i]['id']+"' class = 'btn btn-primary select-row'>Добавить в список</p></td></tr>";
                    block.append(row);
                }
            });
        }
    });

    $('#autocomplete_user_email').on('change', function() {
        var like =  $(this).val();

        if(like.length >3){
            $.post( '/standard_email_getuserslike',{like: like}, function(data) {
                var ajax = $.parseJSON(data);
                var count = ajax.length;
                var block = $('#result');
                block.html('');
                for(var i = 0; i<count; i++){
                    var row ="<tr><td id='name'>"+ajax[i]['name']+"</td><td id='email'>"+ajax[i]['email']+"</td><td><p data-id='"+ajax[i]['id']+"' class = 'btn btn-primary select-row'>Добавить в список</p></td></tr>";
                    block.append(row);
                }
            });
        }
    });


     $('#result').on('click','.select-row', function() {
        var user_id = $(this).data('id');
        var row = $(this).closest('tr');
        var block = $('#users-list');
        var email = row.find('#email').html();
        var name = row.find('#name').html();
        var new_row ="<tr><td id='name'>"+name+"</td><td id='email'>"+email+"</td><td><p class = 'btn btn-primary delete-row'>Убрать из списка</p>" +
            "<input type='hidden' value='"+user_id+"' name='user_id[]'></td></tr>";
        block.append(new_row);
        row.remove();
    });

    $('#users-list').on('click','.delete-row', function() {
        var row = $(this).closest('tr');
        row.remove();
    });

    $( "#utm_campaign" ).autocomplete({
        source: "/get_campaign_data",
        select: function(event, ui) {
            event.preventDefault();
            $(this).val(ui.item.label);
            $(this).parents("tr").find(".input-categoryId").val(ui.item.value);
        },
        open: function() {
            $( this ).removeClass( "ui-corner-all" ).addClass( "ui-corner-top" );
        },
        close: function() {
            $( this ).removeClass( "ui-corner-top" ).addClass( "ui-corner-all" );
        }
    });


    $("#uploadify").uploadify({
        'swf'    : '/js/uploader/uploadify.swf',
        'uploader'     : '/downloadImages',
        'cancelImg'   : '/js/uploader/uploadify-cancel.png',
        'auto'      : true,
        'multi'     : true,
        'fileDesc'   : 'jpg',
        'fileExt'   : '*.jpg',
        'buttonText' : '  Загрузить Картинки  ',
        'formData'         : {'someKey' : 'someValue'},
        'onUploadStart' : function() {
            $("#uploadify").uploadify("settings", 'formData',{"directory": $('#directory').val()});
        },
        'onUploadSuccess' : function(file, data, response) {
            var ajax = $.parseJSON(data);
            $('#directory').val(ajax.directory);
            $('#uploadify').closest('.input_wrapper').append('<div>'+ajax.message+'</div>');
        }

    });
    $('.main_row_block').click(function(){
        var id = $(this).data('id');
        console.log(id);
        var row = $('.subrow_block_'+id);
        if($(row).hasClass( "active" )){
            $(row).removeClass('active').fadeOut(300);
        } else {
            $(row).addClass('active').fadeIn(300);
        }
    });

});