jQuery(document).ready( function(){
   var sortInfo = new Array();
    var state;
    var status;
    checkURL();
    $("#myTable").tablesorter();

    $('.sortable').on("click", function(){
        var sort, sortobj, data, url;
        sortobj = $(this).attr("id");
        $(this).find("p").removeClass(sortInfo[sortobj]);
        sort = sortInfo[sortobj];
        if(sort == "ASC") {
            sort = "DESC";
        } else {
            sort = "ASC";
        }
        $(this).find("p").addClass(sort);
        url = $(this).parents('table').data('url');
        data = sortobj+' '+sort;
        $.post( url,{ data:data}, function( data ) {
            $("#result").html( data );
            sortInfo[sortobj]= sort;
        });
    });

    var id;
    $(".filter").on("click", function(){

        $(".filter").each(function(){
            var state = $(this).prop("checked");
            if(state) {

                id += $(this).val() + ',';

            }

        });
        console.log(id);
    });


    function checkURL() {
        var url = location.pathname;
        $("nav").find("li").each(function(){
            if($(this).find('a').attr('href') == url) {
                $(this).addClass('active');
            }
        });

    }


    $('.back-office-block').on('click', "input[type='checkbox']", function(){
            var state = $(this).prop("checked");
            $(this).closest('ul').find("input").each(function() {
                if(state) {
                    $(this).prop("checked", true) ;
                } else {
                    $(this).prop("checked", false);
                }
            });
    });

    $('.state-check').on('click', function(e){
        e.preventDefault();
        var stateHtml = $(this).html();
        if(stateHtml == 'Активный') {
            status = "0";
            console.log('мы там где состояние 1 и оно будет ровнятся 0'+status);
            $(this).attr('data-state', status).html('ожидается').removeClass('btn-success').addClass('btn-primary');
        } else {

            status = "1";
            console.log('мы там где состояние 0 и оно будет ровнятся 1'+status);
            $(this).attr('data-state', status).html('проверенные').removeClass('btn-primary').addClass('btn-success');
        }
        var data = {
            status : status
        };
        var id = $(this).data('id');
        var str = JSON.stringify(data);
        $.post( '/update_parser',{ data:str, id:id}, function(data) {


        });
    });
    $('.delete-state').on('click', function(e){
        e.preventDefault();
        var id = $(this).data('id');
        $.post( '/delete_parser',{ id:id}, function(data) {
        });
        $(this).closest('tr').remove();
    });
    $('.update-state').on('click', function(e){
        e.preventDefault();
       var id =  $(this).data('id');
       $(this).closest('tr').find('input[type="text"]').each(function(){
           var  data = {};
           var name = $(this).attr('name');
           var valu = $(this).val();
           data[name] = valu;
           var str = JSON.stringify(data);

           $.post( '/update_parser',{ data:str, id:id}, function(data) {
           });
        });




    });
    $('.add-state').on('click', function(e) {
        e.preventDefault();
        $.post( '/add_parser',{}, function(data) {
            $('#result').append(data);
        });
    });
    ////////////////////////////////////////////////////////////////////////////

    $( '#template_text').each( function() {

        CKEDITOR.replace( $(this).attr('id') );

    });

    $('#templates_block').on('change', function() {
        var id = $(this).val();
        $.post( '/email_templates_get_one_data',{id: id}, function(data) {
            var ajax = $.parseJSON(data);

            CKEDITOR.instances.template_text.updateElement();
            CKEDITOR.instances.template_text.setData(ajax.text);
            $('#template_title').val(ajax.title);
            $('#directory').val('');
            $('#template_name').val(ajax.name);
            $('#template_id').val(ajax.id);
        });

    });


    $('.send_method').on('change', function() {

        if($('#send_method_to_all').prop("checked")){
            $('#send_method_users_table').css('display', 'none');
        }
        if($('#send_method_to_selected').prop("checked")){
            $('#send_method_users_table').css('display', 'block');
        }
    });



    $('#autocomplete_user_email').on('keyup', function() {
        var like =  $(this).val();

        if(like.length >1){
            $.post( '/standard_email_getuserslike',{like: like}, function(data) {
                var ajax = $.parseJSON(data);
                var count = ajax.length;
                var block = $('#result');
                block.html('');
                for(var i = 0; i<count; i++){
                    var row ="<tr><td id='name'>"+ajax[i]['name']+"</td><td id='email'>"+ajax[i]['email']+"</td><td><p data-id='"+ajax[i]['id']+"' class = 'btn btn-primary select-row'>Добавить в список</p></td></tr>";
                    block.append(row);
                }
            });
        }
    });

    $('#autocomplete_user_email').on('change', function() {
        var like =  $(this).val();

        if(like.length >3){
            $.post( '/standard_email_getuserslike',{like: like}, function(data) {
                var ajax = $.parseJSON(data);
                var count = ajax.length;
                var block = $('#result');
                block.html('');
                for(var i = 0; i<count; i++){
                    var row ="<tr><td id='name'>"+ajax[i]['name']+"</td><td id='email'>"+ajax[i]['email']+"</td><td><p data-id='"+ajax[i]['id']+"' class = 'btn btn-primary select-row'>Добавить в список</p></td></tr>";
                    block.append(row);
                }
            });
        }
    });


     $('#result').on('click','.select-row', function() {
        var user_id = $(this).data('id');
        var row = $(this).closest('tr');
        var block = $('#users-list');
        var email = row.find('#email').html();
        var name = row.find('#name').html();
        var new_row ="<tr><td id='name'>"+name+"</td><td id='email'>"+email+"</td><td><p class = 'btn btn-primary delete-row'>Убрать из списка</p>" +
            "<input type='hidden' value='"+user_id+"' name='user_id[]'></td></tr>";
        block.append(new_row);
        row.remove();
    });

    $('#users-list').on('click','.delete-row', function() {
        var row = $(this).closest('tr');
        row.remove();
    });

    $( "#utm_campaign" ).autocomplete({
        source: "/get_campaign_data",
        select: function(event, ui) {
            event.preventDefault();
            $(this).val(ui.item.label);
            $(this).parents("tr").find(".input-categoryId").val(ui.item.value);
        },
        open: function() {
            $( this ).removeClass( "ui-corner-all" ).addClass( "ui-corner-top" );
        },
        close: function() {
            $( this ).removeClass( "ui-corner-top" ).addClass( "ui-corner-all" );
        }
    });
    if($("#uploadify")){
        $("#uploadify").uploadify({
            'swf'    : '/js/uploader/uploadify.swf',
            'uploader'     : '/downloadImages',
            'cancelImg'   : '/js/uploader/uploadify-cancel.png',
            'auto'      : true,
            'multi'     : true,
            'fileDesc'   : 'jpg',
            'fileExt'   : '*.jpg',
            'buttonText' : '  Загрузить Картинки  ',
            'formData'         : {'someKey' : 'someValue'},
            'onUploadStart' : function() {
                $("#uploadify").uploadify("settings", 'formData',{"directory": $('#directory').val()});
            },
            'onUploadSuccess' : function(file, data, response) {
                var ajax = $.parseJSON(data);
                console.log(ajax.directory);

                document.getElementById('directory').value = ajax.directory;

                $('#uploadify').closest('.input_wrapper').append('<div>'+ajax.message+'</div>');
            }

        });
    }





    $("#chosen_project").on("change", function(){
        var id = $("#chosen_project :selected").val();
        $.post( '/chosen_project',{id: id}, function(data) {});
        return location.href = '/project';
    });

    $('#scan').on('click', function(e){
        e.preventDefault();
        e.stopPropagation();
        $.get( '/price_parser_parse',{}, function(data) {
            console.log(data)
        });

    });


    $('.change_link').on('click', function(e){
        e.preventDefault();
        $('.change_link_block').stop(false, true).hide();
        $(this).siblings('.change_link_block').stop(false, true).toggle();
    });

    $('.change_link_block_cancel').on('click', function(e){
        e.preventDefault();
        $(this).parent('.change_link_block').stop(false, true).fadeOut(300);
    });
    $('#scan_add').on('click', function(e){
        e.preventDefault();
        var site_url        = $('input[name=check_url]').val();
        var regex_h1        = $('input[name=h1_regexr]').val();
        var regex_exist     = $('input[name=exist_regexr]').val();
        var regex_price     = $('input[name=price_regexr]').val();
        var regex_h1_res    = $('input[name=h1_regexr_result]');
        var regex_price_res = $('input[name=price_regexr_result]');
        var regex_exist_res = $('input[name=exist_regexr_result]');

        $.get( '/check_reg',{site_url: site_url, regex_h1: regex_h1, regex_exist: regex_exist, regex_price: regex_price}, function(data) {
            var data = JSON.parse(data);
            regex_h1_res.val(data.h1);
            regex_price_res.val(data.price);
            regex_exist_res.val(data.exist);
        });

    });


    $('.change_link_block_update').on('click', function(e){
        e.preventDefault();
        var new_link = $(this).parent('.change_link_block').children('input[name=new_link]').val();
        var id = $(this).parent('.change_link_block').children('input[name=id]').val();
        var row = $(this).parents('tr');
        $(this).parents('tr').find('.link_block').find('a').removeClass().addClass('update');
        $.get( '/price_parser_update_link',{new_link: new_link, id: id}, function(data) {
            var data = JSON.parse(data);
            row.find('.link_block').find('a').html(data.h1);
            row.find('.price').html(data.price);
        });
    });

    $('.brand_managers_update').on('click', function(e){
        e.preventDefault();
        var new_link = new Array();
        var test;
        var text = 'tets';
        var block = $(this).siblings('.change_link_block_result');
        $(this).parent('.change_link_block').find('input[type=text]').each(function(){
            test = $(this).val();
            if(test.length > 0){
                new_link[new_link.length] = test;
                this.value = null;
            }
        });

        new_link = JSON.stringify(new_link);
        var id = $(this).parent('.change_link_block').children('input[name=id]').val();
         $.get( '/price_parser_add_manager',{new_link: new_link, id: id}, function(data) {
            text = '<div class="brand_manager_row">'+
                '<p class="brand_email">'+test+'</p>'+
                '<input type="hidden" value="'+data+'" name="brand_manager_row">'+
                '<p class="delete_brand_email_button btn btn-primary">Удалить</p>'+
            '</div>';
             block.append(text);
        });

    });


    /////////////////////////////////////////////FILTER ON INDEX PAGE///////////////////////////////////////////////////////

    function checkFilterRow(row){

        var status = $(row).data('status');

        if( status == 'active' ) {
            row.removeAttribute("data-status");
            $(row).removeData();
            row.setAttribute("data-status","remove");
            $(row).removeClass('btn-primary').addClass('btn-success');
            $(row).html('Добавить в список');
            return false;

        } else {
            row.removeAttribute("data-status");
            $(row).removeData();
            row.setAttribute("data-status","active");
            $(row).removeClass('btn-success').addClass('btn-primary');
            $(row).html('Убрать из списка');
            return true;
        }

    }
    /*sections*/

    function sectionFilter(row){
        var check = checkFilterRow(row);

        var rowId = $(row).siblings('.box_row_head').data('id');

        if(check) {
            $('#ResultParseTable tbody').find('tr.section_id_'+rowId ).each(function(){
                $(this).show();
            });
        } else {

            $('#ResultParseTable tbody').find('tr.section_id_'+rowId ).each(function(){
                $(this).hide();
            });

        }
    }

    $('.check_box_select_all_sections').on('click', function(){
        $(this).parents('.check_box').find('.delete-row').each(function(){
            this.removeAttribute("data-status");
            $(this).removeData();
            this.setAttribute("data-status","active");
            $(this).removeClass('btn-success').addClass('btn-primary');
            $(this).html('Убрать из списка');

            var rowId = $(this).siblings('.box_row_head').data('id');

            $('#ResultParseTable tbody').find('tr.section_id_'+rowId ).each(function(){
                $(this).show();
            });
        });
    });

    $('.check_box_delete_all_sections').on('click', function(){
        $(this).parents('.check_box').find('.delete-row').each(function(){
            this.removeAttribute("data-status");
            $(this).removeData();
            this.setAttribute("data-status","remove");
            $(this).removeClass('btn-primary').addClass('btn-success');
            $(this).html('Добавить в список');

            var rowId = $(this).siblings('.box_row_head').data('id');

            $('#ResultParseTable tbody').find('tr.section_id_'+rowId ).each(function(){
                $(this).hide();
            });
        });
    });


    $('#sections-list').on('click','.delete-row', function() {
        sectionFilter(this);
    });




    /*end_sections*/

    /*competitors*/

    function competitorsFilter(row){
        var check = checkFilterRow(row);

        var rowId = $(row).siblings('.box_row_head').data('id');

        if(check) {
            $('#ResultParseTable').find('.competitor_id_'+rowId ).each(function(){
                $(this).show();
            });
        } else {

            $('#ResultParseTable').find('.competitor_id_'+rowId ).each(function(){
                $(this).hide();
            });

        }
    }


    $('.check_box_select_all_competitors').on('click', function(){
        $(this).parents('.check_box').find('.delete-row').each(function(){
            this.removeAttribute("data-status");
            $(this).removeData();
            this.setAttribute("data-status","active");
            $(this).removeClass('btn-success').addClass('btn-primary');
            $(this).html('Убрать из списка');

            var rowId = $(this).siblings('.box_row_head').data('id');

            $('#ResultParseTable').find('.competitor_id_'+rowId ).each(function(){
                $(this).show();
            });
        });
    });

    $('.check_box_delete_all_competitors').on('click', function(){
        $(this).parents('.check_box').find('.delete-row').each(function(){
            this.removeAttribute("data-status");
            $(this).removeData();
            this.setAttribute("data-status","remove");
            $(this).removeClass('btn-primary').addClass('btn-success');
            $(this).html('Добавить в список');

            var rowId = $(this).siblings('.box_row_head').data('id');

            $('#ResultParseTable').find('.competitor_id_'+rowId ).each(function(){
                $(this).hide();
            });
        });
    });



    $('#competitors-list').on('click','.delete-row', function() {
        competitorsFilter(this);
    });
    /*end_competitors*/


    /*$( "#sections_choose" ).autocomplete({
        source: "/price_parser_index/sectionsChoose",
        select: function(event, ui) {
            event.preventDefault();
            $(this).val(ui.item.label);
            $(this).parents(".input-group").find(".input-categoryId").val(ui.item.value);
        },
        open: function() {
            $( this ).removeClass( "ui-corner-all" ).addClass( "ui-corner-top" );
        },
        close: function() {
            $( this ).removeClass( "ui-corner-top" ).addClass( "ui-corner-all" );
        }
    });

    $( "#competitors_choose" ).autocomplete({
        source: "/price_parser_index/competitorsChoose",
        select: function(event, ui) {
            event.preventDefault();
            $(this).val(ui.item.label);
            $(this).parents(".input-group").find(".input-categoryId").val(ui.item.value);
        },
        open: function() {
            $( this ).removeClass( "ui-corner-all" ).addClass( "ui-corner-top" );
        },
        close: function() {
            $( this ).removeClass( "ui-corner-top" ).addClass( "ui-corner-all" );
        }
    });

    $('#result_sections').on('click', function(event) {
        event.preventDefault();
        var section_id = $(this).siblings('.input-categoryId').val();
        var name = $(this).siblings('#sections_choose').val();
        var block = $('#sections-list');
        var new_row ="<div class='check_box_row'>"+
            "<p id='name'>"+name+"</p>"+
            "<p class = 'btn btn-primary delete-row'>Убрать из списка</p>"+
            "<input type='hidden' value='"+section_id+"' name='section[]'>"+
            "</div>";
        block.append(new_row);
        var state = $('#section-filter').prop("checked");
        if(state) {
            $('#section-filter').prop("checked", false) ;
        }
    });

    $('#sections-list').on('click','.delete-row', function() {
        var row = $(this).closest('div');
        row.remove();
        var div = $('#sections-list').children('.check_box_row');
        if(!div.length){
            var state = $('#section-filter').prop("checked");
            if(!state) {
                $('#section-filter').prop("checked", true) ;
            }
        }
    });


    $('#result_competitors').on('click', function(event) {
        event.preventDefault();
        var competitor_id = $(this).siblings('.input-categoryId').val();
        var name = $(this).siblings('#competitors_choose').val();
        var block = $('#competitors-list');
        var new_row ="<div class='check_box_row'>"+
            "<p id='name'>"+name+"</p>"+
            "<p class = 'btn btn-primary delete-row'>Убрать из списка</p>"+
            "<input type='hidden' value='"+competitor_id+"' name='competitor[]'>"+
            "</div>";
        block.append(new_row);
    });

    $('#competitors-list').on('click','.delete-row', function() {
        var row = $(this).closest('div');
        row.remove();
    });

    $('.check_box_delete_all_sections').on('click', function(){
        $(this).parents('.check_box').find('.check_box_row').each(function(){
            $(this).remove();
        });
    });


    $('.check_box_delete_all_competitors').on('click', function(){
        $(this).parents('.check_box').find('.check_box_row').each(function(){
            $(this).remove();
        });
        var div = $('#competitors-list').children('.check_box_row');
        if(!div.length){
            var state = $('#section-filter').prop("checked");
            if(!state) {
                $('#section-filter').prop("checked", true) ;
            }
        }
    });

    $('.check_box_select_all_sections').on('click', function(){
        var model = 'sections';
        var new_row;
        var id_list = getListId('#sections-list');

        $.get( '/price_parser_index/selectAllRows',{model: model}, function(data) {
            var block = $('#sections-list');
            var result =  $.parseJSON(data);
            var count  = result.length;
            for(var i=0; i<count; i++) {
                var check = checkList(id_list, result[i]['id']);
                if(check == 0) {
                    new_row ="<div class='check_box_row'>"+
                    "<p id='name'>"+result[i]['section_name']+"</p>"+
                    "<p class = 'btn btn-primary delete-row'>Убрать из списка</p>"+
                    "<input type='hidden' value='"+result[i]['id']+"' name='section[]'>"+
                    "</div>";
                    block.append(new_row);
                }
            }

        });
    });

    $('.select_filter_row').click(function(){
        $(this).siblings('.check_box').toggle();
    });

    $('.check_box_select_all_competitors').on('click', function(){
        var model = 'competitors';
        var new_row;
        var id_list = getListId('#competitors-list');
        $.get( '/price_parser_index/selectAllRows',{model: model}, function(data) {
            var result =  $.parseJSON(data);
            var count  = result.length;
            for(var i=0; i<count; i++) {
                var check = checkList(id_list, result[i]['id']);
                if(check == 0) {
                    var block = $('#competitors-list');
                    var new_row ="<div class='check_box_row'>"+
                        "<p id='name'>"+result[i]['name']+"</p>"+
                        "<p class = 'btn btn-primary delete-row'>Убрать из списка</p>"+
                        "<input type='hidden' value='"+result[i]['id']+"' name='competitor[]'>"+
                        "</div>";
                    block.append(new_row);
                }
            }
        });
    });


    function getListId(block_id){
        var id = [];
        $(block_id).find('.check_box_row').each(function(){
            $(this).find('input').each(function(){
                id[id.length] = $(this).val();
            });
        });
        return id;
    }

    function checkList(oldList, new_item){
        return oldList.indexOf(new_item.toString())+1;
    }*/
    /////////////////////////////////////////////FILTER ON INDEX PAGE END///////////////////////////////////////////////////////

    $('.test_block').click(function(){
        var val = '<a href="http://dakine-shop.com.ua/products/delivery/Altitude_ABS_40L8100101_0100738.html">3359 <span class="prise_dif" style="color: #d75f59">-470</span></a>';
        var re = new RegExp('<a href="(.*)">(.*) <(.*)</a>');
    });


    // add parser through the tablesorter addParser method
    var re = new RegExp('(.*)<span class="prise_dif" style="color: (.*)">(.*)</span>');
    $.tablesorter.addParser({
        // set a unique id
        id: 'grades',
        is: function(s) {
            // return false so this parser is not auto detected
            return false;
        },
        format: function(s) {
            // format your data for normalization
            return s.toLowerCase().replace('- / -', "").replace(re, "$3");
        },
        // set type, either numeric or text
        type: 'numeric'
    });





    $(function() {
        $("#ResultParseTable").tablesorter({
            headers: {
                3: {
                    sorter:'grades'
                },
                4: {
                    sorter:'grades'
                },
                5: {
                    sorter:'grades'
                },
                6: {
                    sorter:'grades'
                },
                7: {
                    sorter:'grades'
                },
                8: {
                    sorter:'grades'
                },
                9: {
                    sorter:'grades'
                },
                10: {
                    sorter:'grades'
                },
                11: {
                    sorter:'grades'
                },
                12: {
                    sorter:'grades'
                },
                13: {
                    sorter:'grades'
                },
                14: {
                    sorter:'grades'
                },
                15: {
                    sorter:'grades'
                },
                16: {
                    sorter:'grades'
                },
                17: {
                    sorter:'grades'
                },
                18: {
                    sorter:'grades'
                },
                19: {
                    sorter:'grades'
                },
                20: {
                    sorter:'grades'
                },
                21: {
                    sorter:'grades'
                },
                22: {
                    sorter:'grades'
                },
                23: {
                    sorter:'grades'
                },
                24: {
                    sorter:'grades'
                },
                25: {
                    sorter:'grades'
                },
                26: {
                    sorter:'grades'
                }


            }
        });
    });




    // add parser through the tablesorter addParser method
    var sortUpdate = new RegExp('<a class="(.*)" href="(.*)">(.*)</a>');

    $.tablesorter.addParser({
        // set a unique id
        id: 'sgrades',
        is: function(s) {
            // return false so this parser is not auto detected
            return false;
        },
        format: function(s) {
            // format your data for normalization
            var row = s.toLowerCase().replace('- / -', "").replace(sortUpdate, "$1");

            if(row == 'update'){
                return 'AAB';
            } else if(row == 'delete') {
                return 'яяя';
            } else if (row == 'change'){
                return 'AAA';
            } else {
                row = s.toLowerCase().replace(sortUpdate, "$3")
                if(row == 'товар не найден') {
                    return "яяб";
                } else if(row == 'не найденно в списке'){
                    return "AB";
                }

                return s.toLowerCase().replace(sortUpdate, "$3");
            }

        },
        // set type, either numeric or text
        type: 'text'
    });


    $(function() {
        $("#ResultParseTableS").tablesorter({
            headers: {
                5:{
                  type: 'numeric'
                },
                7: {
                    sorter:'sgrades'
                }

            }
        });
    });







    $('.send_email_report').click(function(event){
        event.preventDefault();
        event.stopPropagation();
        var id = $(this).data('id');
        var rowData = [];
        $('#ResultParseTable').find('.competitors_'+id).each(function(){
            console.log($(this).data('sectionid'));
            var color;
            $(this).find('.prise_dif').each(function(){
                color =  $(this).css('color');
            });
            rowData[rowData.length] = {'section_id':$(this).data('sectionid'),'sector_color':color, 'item_id':$(this).data('itemid')}
        });
        rowData = JSON.stringify(rowData);
        if(confirm("Вы точно хотите отправить e-mail")){
            $.get( '/price_parser_index/sendEmailReport',{id: id, rowData: rowData}, function(data) {});
        }

    });

    $('.delete_brand_email_button').click(function(){
        var id = $(this).siblings('input[name=brand_manager_row]').val();
        if(confirm("Вы точно хотите удалить e-mail")){
            $(this).parent('.brand_manager_row').remove();
            $.get( '/price_parser_delete_manager',{id: id}, function(data) {});
        }
    });

    $('.delete_action_button').click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        $(this).parents('tr').find('.link_block').find('span').find('a').removeClass().addClass('delete');
        $.get( '/price_parser_delete_link/'+id, function(data) {});

    });

    $('.ok_action_button').click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        $(this).parents('tr').find('.link_block').find('span').find('a').removeClass().addClass('ok');
        $.get( '/price_parser_approve_link/'+id, function(data) {});

    });


    //////////////////////////////////////////////SELECT_EVENT_OFFLINE_BLOCK//////////////////////////////////////
    $('.active_field_select').on('change', function(){
        $(this).parents('ul').find('.active_field_select').each(function(){
            getActiveBlock(this);
        });
    });
    function getActiveBlock(input){
        var status = input.checked;
        if(status){
            $(input).parent('li').removeClass('non_active').addClass('active').children('.input-group').find('input, select').each(function(){
                $(this).removeAttr('disabled');
            });
        } else {
            $(input).parent('li').removeClass('active').addClass('non_active').children('.input-group').find('input, select').each(function(){
                $(this).removeAttr('disabled').attr('disabled','disabled');
            });
        }
    }


    //////////////////////////////////////////////////////////////////////////////////////////////////////////////
    $('.text_type_select').click(function(){

         var activeType = $(this).data('type');
         $('.text-block').removeClass('selected-text-block').addClass('non-active-text-block');

         $('.'+activeType+'-text-block').addClass('selected-text-block');


    });

    /*$('#fileupload').fileupload({
        dataType: 'json',
        done: function (e, data) {
            var ajax = $.parseJSON(data);
            $('#directory').val(ajax.directory);
            $('#uploadify').closest('.input_wrapper').append('<div>'+ajax.message+'</div>');

        },
        add: function (e, data) {
            data.context = $('<p/>').text('Uploading...').appendTo(document.body);
            data.submit();
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress .bar').css(
                'width',
                progress + '%'
            );
        }
    });*/

});