<?php
namespace controllers;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class RequestController extends \Phalcon\Mvc\Controller
{

    function indexAction()
    {


        $data = \orderRequest::find(array("order" => 'id'));
        $this->view->setVars([
            'data' => $data,
        ]);
    }



    function setAction()
    {
       if($this->request->getPost()){
            $model =  new \orderRequest();
            $model->url  = $this->request->getPost('url', 'string');
            $model->name   = $this->request->getPost('name', 'string');
            $model->email   = $this->request->getPost('email', 'email');
            $model->phone   = $this->request->getPost('phone', 'string');
            $model->comment  = $this->request->getPost('comment', 'string');
            $model->save();
        } else {
            echo "doesn't have any request ";
        }
        die();
    }


    function addAction()
    {
        $model = array();
        $fieldsModel = \fields::find(array("type='services_sales'","order" => 'id'));
        if($this->request->get()){
            $id = $this->request->get('message_id', 'string');

            if(!empty($id)){
                $model = \message::findFirst("id = '$id'");
            }

        }

        if( $this->request->isPost() )
        {
            $model = new \orderRequest();
            $model->url  = $this->request->getPost('url', 'string');
            $model->name   = $this->request->getPost('name', 'string');
            $model->email   = $this->request->getPost('email', 'email');
            $model->phone   = $this->request->getPost('phone', 'string');
            $model->comment  = $this->request->getPost('comment', 'string');
            $model->services = implode (',' , $this->request->getPost('services'));
            if( $model->save() )
            {
                $this->flash->success( 'Сохранение прошло успешно' );
                return $this->response->redirect([ 'for' => 'index_request' ]);
            }
            else
            {
                $this->flash->error( 'Произошла ошибка во время сохранения.' );
            }
        }
        $this->view->pick( 'request/addEdit' );
        $this->view->setVars([
            'data' => $model,
            'fields' =>$fieldsModel
        ]);

    }

    function deleteAction($id)
    {
        $model = \orderRequest::findFirst("id = '$id'");
        if($model instanceof \orderRequest) {
            if($model->delete()){
                $this->flash->error( 'Данные успешно удалены' );
                return $this->response->redirect([ 'for' => 'index_request' ]);
            } else {
                $this->flash->error( 'Произошла ошибка при попытке удаления' );
                return $this->response->redirect([ 'for' => 'index_request' ]);
            }
        }

    }

    function updateAction($id)
    {
        $model = \orderRequest::findFirst("id = '$id'");
        $fieldsModel = \fields::find(array("type='services_sales'","order" => 'id'));
        if( $this->request->isPost() )
        {
            $model->url  = $this->request->getPost('url', 'string');
            $model->name   = $this->request->getPost('name', 'string');
            $model->email   = $this->request->getPost('email', 'email');
            $model->phone   = $this->request->getPost('phone', 'string');
            $model->comment = $this->request->getPost('comment', 'string');
            $model->services = implode (',' , $this->request->getPost('services'));
            if( $model->save() )
            {
                $this->flash->success( 'Сохранение прошло успешно' );
                return $this->response->redirect([ 'for' => 'index_request' ]);
            }
            else
            {
                $this->flash->error( 'Произошла ошибка во время сохранения.' );
            }
        }

        $this->view->pick( 'request/addEdit' );
        $this->view->setVars([
            'data' => $model,
            'fields' =>$fieldsModel
        ]);
    }
}