<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="/css/main.css">
    <link rel="stylesheet" type="text/css" href="/js/uploader/uploadify.css" />
    <?php $this->assets->outputCss() ?>
    <script src="/js/jquery.js"></script>
    <script src="/js/jquery-ui.js" type="text/javascript"></script>

    <script type="text/javascript" src="/js/bootstrap.min.js"></script>

    <script type="text/javascript" src="/js/uploader/jquery.uploadify.js"></script>
    <script type="text/javascript" src="/js/jquery.validate.min.js"></script>
    <script type="text/javascript" src="/js/validate.js"></script>
    <script type="text/javascript" src="/js/ckeditor/ckeditor.js"></script>
    <script type="text/javascript" src="/js/ckeditor/config.js"></script>
    <script type="text/javascript" src="/js/ckeditor/build-config.js"></script>

    <script type="text/javascript" src="/js/main.js"></script>

    <title></title>
</head>
<body>
    <header>
            <nav class="navbar navbar-default navbar-static-top" role="navigation">
                    <ul class="nav navbar-nav">
                        <li><a  class="dropdown-toggle" data-toggle="dropdown" href="#">Добавить поле</a>
                            <ul  class="dropdown-menu" role="menu">
                                <li><a href="<?= $this->url->get([ 'for' => 'index_fields' , 'type' => 'services_sales' ]) ?>" title="Услуги продажные">Услуги продажные</a></li>
                            </ul>
                        </li>
                        <li><a href="/index_brief_blocks">Бриф блоки</a></li>
                        <li><a href="/user_index">Пользователи</a></li>
                        <li><a href="/project_index">Проекты</a></li>
                        <li><a href="/trash_index">Всяко разно</a></li>
                        <li><a href="/index_parser">Парсер</a></li>
                        <li><a href="/index_request">Заявки</a></li>
                        <li><a  class="dropdown-toggle" data-toggle="dropdown" href="#">Сообщения  (<?= \message::CountNewMessage() ?>)</a>
                            <ul  class="dropdown-menu" role="menu">
                                <li><a href="<?= $this->url->get([ 'for' => 'index_message' , 'type' => 'calculate' ]) ?>" title="Расчитать стоимость">Расчитать стоимость (<?= \message::CountNewMessage('calculate') ?>)</a></li>
                                <li><a href="<?= $this->url->get([ 'for' => 'index_message' , 'type' => 'callback' ]) ?>" title="Обратный звонок">Обратный звонок (<?= \message::CountNewMessage('callback') ?>)</a></li>
                                <li><a href="<?= $this->url->get([ 'for' => 'index_message' , 'type' => 'audit' ]) ?>" title="Получить аудит бесплатно">Получить аудит бесплатно (<?= \message::CountNewMessage('audit') ?>)</a></li>
                                <li><a href="<?= $this->url->get([ 'for' => 'index_message' , 'type' => 'contact' ]) ?>" title="Вопросы">Вопросы (<?= \message::CountMessage('contact') ?>)</a></li>
                            </ul>
                        </li>
                        <li><a href="http://seo.dev.artwebua.com.ua/">На сайт</a></li>
                        <?php if($this->session->get("user-name")):?>
                            <li><a href="/logout_page">Выход</a></li>
                        <?php endif?>
                    </ul>
            </nav>
    </header>
    <div class="container-fluid">
        <?php
            echo $this->getContent();
        ?>
    </div>
    <footer>

    </footer>
</body>
</html>