<!DOCTYPE html>
<html  lang="ru">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="/css/main.css">
    <link rel="stylesheet" type="text/css" href="/js/uploader/uploadify.css" />
    <link rel="stylesheet" type="text/css" href="/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">


    <script src="/js/jquery.js"></script>
    <script src="/js/jquery-ui.min.js" type="text/javascript"></script>

    <script type="text/javascript" src="/js/bootstrap.min.js"></script>

    <script type="text/javascript" src="/js/uploader/jquery.uploadify.js?ver=<?php echo rand(0,9999);?>"></script>

    <script type="text/javascript" src="/js/ckeditor/ckeditor.js"></script>
    <script type="text/javascript" src="/js/ckeditor/config.js"></script>
    <script type="text/javascript" src="/js/ckeditor/build-config.js"></script>

    <script type="text/javascript" src="/js/main.js"></script>
    <script type="text/javascript" src="/js/jquery.validate.min.js"></script>
    <script type="text/javascript" src="/js/validate.js"></script>


    <script type="text/javascript" src="/js/tablesorter/jquery.tablesorter.min.js"></script>

    <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>

    <title></title>
</head>
<body>
<div class="modal fade" id="registrationFormModal" tabindex="-1" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Регистрация</h4>
            </div>
            <div class="form">
                <form class="cmxform" id="registrationForm" data-url="/check_user" method="post" action="/user_registration">
                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Имя пользователя</span>
                        <input type="text" data-reg="name" data-оbligatory="true" class="form-control input-sizing validate-input" placeholder="Имя пользователя" name="name">
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">@</span>
                        <input type="email" data-reg="email" data-оbligatory="true" data-ajaxceck="true" class="form-control input-sizing validate-input" placeholder="E-mail" name="email">
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Пароль</span>
                        <input type="password" data-оbligatory="true" data-reg="password" class="form-control input-sizing validate-input" placeholder="Пароль" id="password" name="password">
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Повторите пароль</span>
                        <input type="password" data-оbligatory="true"  data-reg="password" data-confirm="password" class="form-control input-sizing validate-input" placeholder="Подтверждение" name="confirm_password">
                    </div>
                    <div class="input-group">
                        <button class="btn btn-lg btn-primary" type="submit">Зарегистрироваться</button>
                    </div>
                </form>
            </div><!-- form -->
        </div>
    </div>
</div>
</div>
<div class="modal fade" id="enterForm" tabindex="-1" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Регистрация</h4>
            </div>
            <form class="form-signin" role="form" method="post" action="/user_login" id="admin_login">
                <div class="input-group">
                    <span class="input-group-addon">@</span>
                    <input type="email" class="form-control" placeholder="Email" autofocus="" name="email">
                </div>

                <div class="input-group">
                    <input type="password" class="form-control" placeholder="Пароль" name="password" id="passwd">
                    <span class="input-group-addon">Пароль</span>
                </div>
                <div class="input-group">
                    <button class="btn btn-lg btn-primary" type="submit">Войти</button>
                </div>
            </form>
            </div><!-- form -->
        </div>
    </div>
</div>
    <header>

        <nav class="navbar navbar-inverse navbar-static-top" role="navigation">
            <div class="container-fluid">
                <div class="navbar-header">
                    <a class="navbar-brand" href="http://seo.dev.artwebua.com.ua/">ArtWeb</a>
                </div>
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav">
                        <?php if($this->session->get("user-name")):?>
                            <li class="projects">
                                <?php
                                $project_model = new \users();
                                $projectsData = $project_model->issetProjects();
                                if($projectsData):?>
                                    <div class="input-group">
                                        <select  class="form-control"  name="chosen_project" id="chosen_project">
                                            <?php foreach($projectsData as $project):?>
                                                <option <?= $project->projects->isActive() ? "selected" :"" ?> value="<?= $project->projects->id ?>"><?= $project->projects->name ?></option>
                                            <?php endforeach?>
                                        </select>
                                    </div>
                                <?php  else : ?>
                                    <p>У вас нет ни одного проекта, <a href="#">продробнее</a></p>
                                    <input type="hidden" name="chosen_project" value="false" >
                                 <?php endif ?>
                            </li>
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><?= $this->session->get("user-name") ?> <span class="caret"></span></a>
                                <ul class="dropdown-menu" role="menu">
                                    <li><a href="http://backend.seo.dev.artwebua.com.ua/">Настройка</a></li>
                                    <li><a href="/user_account">Профиль</a></li>
                                    <li class="divider"></li>
                                    <li><a href="/user_logout">Выход</a></li>
                                </ul>
                            </li>
                        <?php else:  ?>
                            <li><a href="#enterForm" data-toggle = 'modal'>Вход</a></li>
                            <li><a href="#registrationFormModal" data-toggle = 'modal'>Регистрация</a></li>
                        <?php endif ?>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container-fluid no-padding">
        <?php

        echo $this->getContent();

        ?>
    </div>
    <footer>
    </footer>
</body>
</html>