<div id="addEdit">
    <div class="inner"><?= $this->flash->output(); ?></div>
    <div class="inner">
        <form enctype="multipart/form-data" method="post" action="" id="email_event_add_edit">


            <div class="input-group">
                <span class="input-group-addon title-block-sizing">Название ивента*</span>
                <input type="text" name="name" class="form-control" id="name" value='<?=  (isset( $page->name ) && !empty( $page->name ) ? $page->name : '') ?>'>
            </div>

            <div class="input-group">
                <div class="label"><label for="templates_block">Шаблон</label></div>
                <div class="input"><select name="templates_block" id="templates_block">
                        <option value="" disabled selected >Название</option>
                        <?php if(isset( $templates ) && !empty( $templates)) {
                            foreach($templates as $template){
                                if(isset( $page->template_id ) && !empty( $page->template_id)):?>
                                    <option value="<?= $template->id?>"<?= ($template->id==$page->template_id)?"selected":''?>><?= $template->name?></option>
                                <?php else: ?>
                                    <option value="<?= $template->id?>" ><?= $template->name?></option>
                                <?php endif;
                            }
                        }?>
                    </select>
                </div>
            </div>



            <div class="clearfix input_wrapper">
                <fieldset>
                    <legend>Шаблон</legend>
                    <input type="hidden" value="<?=  (isset( $temp->directory ) && !empty( $temp->directory ) ? $temp->directory : '') ?>" name="directory" id="directory">

                    <input type="hidden" value="<?=  (isset( $page->template_id) && !empty( $page->template_id ) ? $page->template_id : '') ?>" name="template_id" id="template_id">
                    <input type="hidden" value="<?=  (isset( $page->id ) && !empty( $page->id ) ? $page->id : '') ?>" name="id" id="id">

                    <div class="input-group">
                        <input type="file" name="uploadify" id="uploadify" />
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Название шаблона*</span>
                        <input type="text" class="form-control" value="<?=  (isset( $temp->name ) && !empty( $temp->name ) ? $temp->name : '') ?>" name="template_name" id="template_name">
                    </div>


                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Заголовок*</span>
                        <input type="text" class="form-control" name="template_title" id="template_title" value='<?=  (isset( $temp->title ) && !empty( $temp->title ) ? $temp->title : '') ?>'>
                    </div>



                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Вид шаблона</span>
                        <textarea id="template_text" class="form-control template" name="template_text"><?=  (isset( $temp->text ) && !empty( $temp->text ) ? $temp->text : '') ?></textarea>
                    </div>
                </fieldset>
            </div>
            <div class="clearfix input_wrapper">
                <fieldset>
                    <legend>Настройка UTM-метки</legend>
                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Источник кампании*</span>
                        <input type="text" class="form-control" name="utm_source" id="utm_source" value='<?=  (isset( $page->utm_source ) && !empty( $page->utm_source ) ? $page->utm_source : '') ?>'>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Канал кампании*</span>
                        <input type="text" class="form-control" name="utm_medium" id="utm_medium" value='<?=  (isset( $page->utm_medium ) && !empty( $page->utm_medium ) ? $page->utm_medium : 'email') ?>'>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Ключевое слово кампании</span>
                        <input type="text" class="form-control" readonly name="utm_term" id="utm_term" value='Указан индекс ссылки'>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Содержание кампании</span>
                        <input type="text" class="form-control" name="utm_content" id="utm_content" value='<?=  (isset( $page->utm_content ) && !empty( $page->utm_content ) ? $page->utm_content : '') ?>'>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon title-block-sizing">Название кампании*</span>
                        <input type="text" class="form-control" name="utm_campaign" id="utm_campaign" value='<?=  (isset( $page->utm_campaign ) && !empty( $page->utm_campaign ) ? $page->utm_campaign : '') ?>'>
                    </div>
                </fieldset>
            </div>

            <div class="clearfix input_wrapper">
                <fieldset>
                    <legend>Список адресатов</legend>
                    <div class="input-group">
                        <input type="radio" id="send_method_to_all" class='send_method' name="send_method" checked="checked"/>
                        <label for="send_method_to_all"><span></span>Отправить всем пользователям</label>
                    </div>
                    <div class="input-group">
                        <input type="radio" id="send_method_to_selected" class='send_method' name="send_method"/>
                        <label for="send_method_to_selected"><span></span>Выбрать из списка</label>
                    </div>


                    <div class="clearfix input_wrapper" id="send_method_users_table">


                            <table id="users-list" class="table table-hover">
                            </table>
                        <div class="input-group">
                            <span class="input-group-addon title-block-sizing">Введите email пользователя</span>
                            <input type="text" value="" class="form-control" name="autocomplete_user_email" id="autocomplete_user_email"  autocomplete="off">
                        </div>

                        <table class="table table-hover">
                            <thead>
                            <tr>
                                <th id="name">Имя</th>
                                <th id="email">e-mail</th>
                                <th class="table-buttons"></th>
                            </tr>
                            </thead>
                            <tbody id="result">

                            </tbody>
                        </table>
                    </div>

                </fieldset>
            </div>


            <div class="input-group">
                <a href="<?= $this->url->get([ 'for' => 'standard_email_index' ]) ?>" class="news_cancel float">Отмена</a>
                <input type="submit" class="news_submit float" name="save" value="Сохранить">
                <input type="submit" class="news_submit float cancel" name="send" value="Отправить" onclick="return confirm('Подтвердите отправку рассылки')">
            </div>

        </form>
    </div>
</div>
