<?php


namespace {

    class HtmlConstructor{
        private $page;

        function setHeadData(){
            return '
            <!DOCTYPE html>
                <html>
                <head lang="en">
                    <meta charset="UTF-8">
                    <link href="style.css" rel="stylesheet">
                    <title></title>
                    <style>

                    </style>
                </head>
                <body>
                <div class="main-block" id="head-block">
                    <div class="logo"></div>
                    <div class="content">
                        <div class="contacts">
                            <div class="first-phone-block">
                                <p>+7 (495) <span>972-07-73</span></p>
                                <p>+7 (495) <span>972-07-76</span></p>
                            </div>
                            <div class="second-phone-block">
                                <p>+7 (499) <span>166-62-43</span></p>
                                <p>+7 (499) <span>166-62-48</span></p>
                            </div>
                            <a class="email" href="mail@posuda-sklad.ru">mail@posuda-sklad.ru</a>
                        </div>
                        <p class="title">
                           прайс-лист товаров
                        </p>
                        <a class="site-link" href="posuda-sklad.ru">posuda-sklad.ru</a>
                        <p class="info">Цены актуальны на 4 апреля 2015 года</p>
                    </div>
                    <div class="bottom-image"></div>
                </div>

                <div class="main-block" id="content-block">
                    <div class="logo">
                        <div class="contacts">
                            <div class="first-phone-block">
                                <p>+7 (495) <span>972-07-73</span></p>
                                <p>+7 (495) <span>972-07-76</span></p>
                            </div>
                            <div class="second-phone-block">
                                <p>+7 (499) <span>166-62-43</span></p>
                                <p>+7 (499) <span>166-62-48</span></p>
                            </div>
                            <a class="email" href="mail@posuda-sklad.ru">mail@posuda-sklad.ru</a>
                        </div>
                    </div>
                    <div class="content">';
        }

        function setFooterData(){
            return '          </div>
        </div>
        <div class="main-block" id="bottom-block">
            <div class="logo">
                <div class="contacts">
                    <div class="first-phone-block">
                        <p>+7 (495) <span>972-07-73</span></p>
                        <p>+7 (495) <span>972-07-76</span></p>
                    </div>
                    <div class="second-phone-block">
                        <p>+7 (499) <span>166-62-43</span></p>
                        <p>+7 (499) <span>166-62-48</span></p>
                    </div>
                    <a class="email" href="mail@posuda-sklad.ru">mail@posuda-sklad.ru</a>
                </div>
            </div>
            <div class="content">
                <p class="title">
                    прайс-лист товаров
                </p>
                <a class="site-link" href="posuda-sklad.ru">posuda-sklad.ru</a>
                <p class="info">Цены актуальны на 4 апреля 2015 года</p>
            </div>
            <div class="contacts">
                <div class="first-phone-block">
                    <p>+7 (495) <span>972-07-73</span></p>
                    <p>+7 (495) <span>972-07-76</span></p>
                </div>
                <div class="second-phone-block">
                    <p>+7 (499) <span>166-62-43</span></p>
                    <p>+7 (499) <span>166-62-48</span></p>
                </div>
                <a class="email" href="mail@posuda-sklad.ru">mail@posuda-sklad.ru</a>
                <p class="address">
                    105187, Москва, 1-я ул. Измайловского зверинца, д.19а (ст. метро "Партизанская")
                    Территория НИПТИ "Стройиндустрия". Две остановки от метро автобусом 7 или 131.
                    Заезд со 2-й ул. Измайловского зверинца, заводские корпуса сиреневого цвета.
                </p>
                <p class="time-table">
                    Будние дни с 9:00 до 17:00 без обеда.
                </p>
                <p class="coordinates">
                    Координаты для GPS навигатора:<br>
                    Долгота: N55°46.718 (C 55.778635°), Широта: E37°44.792 (B 37.746529°)
                </p>
            </div>
            <div class="map">

            </div>
        </div>
</body>
</html>';
        }

        function setDynamicData(){

        }

    }
}
